/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCDISCITEMDELEGATE_H
#define KDCDISCITEMDELEGATE_H

#include <QTreeWidgetItem>
#include <QItemDelegate>

class KDCDiscItemDelegate: public QItemDelegate
{
Q_OBJECT
public:
	KDCDiscItemDelegate( QObject *parent = 0 );
	~KDCDiscItemDelegate();
	void setDrawItem( const QTreeWidgetItem *item );
	void drawDisplay( QPainter * painter, const QStyleOptionViewItem & option, const QRect & rect, const QString & text ) const;
private:
	const QTreeWidgetItem *p_drawItem;
};
#endif
